package com.search.supersearch.demo;

import org.springframework.data.elasticsearch.core.ElasticsearchRestTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Iterator;
import java.util.List;

/**
 * @author 程序员小强
 */
@Service
public class EmployeeInfoServiceImpl implements EmployeeInfoService {

    @Resource
    private EmployeeInfoRepository elasticRepository;
    @Resource
    private ElasticsearchRestTemplate elasticsearchTemplate;

    @Override
    public void deleteIndex(String index) {
        elasticsearchTemplate.delete(index);
    }

    @Override
    public void save(EmployeeInfo docBean) {
        elasticRepository.save(docBean);
    }

    @Override
    public void saveAll(List<EmployeeInfo> list) {
        elasticRepository.saveAll(list);
    }

    @Override
    public Iterator<EmployeeInfo> findAll() {
        return elasticRepository.findAll().iterator();
    }
}
